[pkg-boost-commits] r14212 - boost/trunk/debian
smr at alioth.debian.org
smr at alioth.debian.org
Sat Apr 26 18:57:31 UTC 2008
Author: smr
Date: 2008-04-26 18:57:30 +0000 (Sat, 26 Apr 2008)
New Revision: 14212
Added:
boost/trunk/debian/rtupdate.in
Removed:
boost/trunk/debian/rtupdate
Modified:
boost/trunk/debian/changelog
boost/trunk/debian/rules
Log:
Adjust rtupdate script, restoring the boost version decoration.
Modified: boost/trunk/debian/changelog
===================================================================
--- boost/trunk/debian/changelog 2008-04-26 18:54:44 UTC (rev 14211)
+++ boost/trunk/debian/changelog 2008-04-26 18:57:30 UTC (rev 14212)
@@ -7,7 +7,9 @@
* debian/patches/library-naming.patch: New. Remove toolset decoration
from library names.
- * debian/rtupdate: Remove logic for links with toolset name.
+ * debian/rtupdate: Rename ...
+ * debian/rtupdate.in: ... to this. Build rtupdate script, substituting
+ the boost version string. Remove logic for links with toolset name.
* debian/rules: Adjust SOVERSION, SHLIBS_VERSION, and boost_version to
new version.
@@ -32,7 +34,7 @@
Abstract continuation lines by a single space. The latter means
"display verbatim", which is not desired.
- -- Steve M. Robbins <smr at debian.org> Sat, 19 Apr 2008 01:41:37 -0500
+ -- Steve M. Robbins <smr at debian.org> Sat, 26 Apr 2008 13:56:43 -0500
boost (1.34.1-11) unstable; urgency=low
Deleted: boost/trunk/debian/rtupdate
===================================================================
--- boost/trunk/debian/rtupdate 2008-04-26 18:54:44 UTC (rev 14211)
+++ boost/trunk/debian/rtupdate 2008-04-26 18:57:30 UTC (rev 14212)
@@ -1,64 +0,0 @@
-#! /bin/sh
-#
-# Update link-library symlinks after a Python default runtime change
-
-set -e
-
-die() {
- echo "$@" >&2
- exit 1
-}
-
-update_linklibs() {
- py=$1
- suf=$2
-
- cd /usr/lib
- for thread in "" -mt; do
- ln -s -f libboost_python${thread}${debug}-${py}.${suf} \
- libboost_python${thread}${debug}.${suf}
- done
-}
-
-remove_linklibs() {
- suf=$1
-
- cd /usr/lib
- for thread in "" -mt; do
- rm -f libboost_python${thread}${debug}.${suf}
- done
-}
-
-rtupdate() {
- case "$1" in
- python2.4) py=py24 ;;
- python2.5) py=py25 ;;
- *) die $0 unknown python version $1 ;;
- esac
-
- update_linklibs $py a
- update_linklibs $py so
-}
-
-remove() {
- remove_linklibs a
- remove_linklibs so
-}
-
-
-debug=
-case "$0" in
- */libboost-dbg.rtupdate) debug=-d ;;
-esac
-
-action="$1"
-shift
-
-case "$action" in
- pre-rtupdate) ;;
- post-rtupdate) ;;
- rtupdate) rtupdate $2 ;;
- remove) remove ;;
- *) die "$0 called with unknown argument '$action'" ;;
-esac
-
Added: boost/trunk/debian/rtupdate.in
===================================================================
--- boost/trunk/debian/rtupdate.in (rev 0)
+++ boost/trunk/debian/rtupdate.in 2008-04-26 18:57:30 UTC (rev 14212)
@@ -0,0 +1,66 @@
+#! /bin/sh
+#
+# Update link-library symlinks after a Python default runtime change
+
+set -e
+
+version=@@BOOST_VERSION@@
+
+die() {
+ echo "$@" >&2
+ exit 1
+}
+
+update_linklibs() {
+ py=$1
+ suf=$2
+
+ cd /usr/lib
+ for thread in "" -mt; do
+ ln -s -f libboost_python${thread}${debug}-${version}-${py}.${suf} \
+ libboost_python${thread}${debug}-${version}.${suf}
+ done
+}
+
+remove_linklibs() {
+ suf=$1
+
+ cd /usr/lib
+ for thread in "" -mt; do
+ rm -f libboost_python${thread}${debug}-${version}.${suf}
+ done
+}
+
+rtupdate() {
+ case "$1" in
+ python2.4) py=py24 ;;
+ python2.5) py=py25 ;;
+ *) die $0 unknown python version $1 ;;
+ esac
+
+ update_linklibs $py a
+ update_linklibs $py so
+}
+
+remove() {
+ remove_linklibs a
+ remove_linklibs so
+}
+
+
+debug=
+case "$0" in
+ */libboost-dbg.rtupdate) debug=-d ;;
+esac
+
+action="$1"
+shift
+
+case "$action" in
+ pre-rtupdate) ;;
+ post-rtupdate) ;;
+ rtupdate) rtupdate $2 ;;
+ remove) remove ;;
+ *) die "$0 called with unknown argument '$action'" ;;
+esac
+
Modified: boost/trunk/debian/rules
===================================================================
--- boost/trunk/debian/rules 2008-04-26 18:54:44 UTC (rev 14211)
+++ boost/trunk/debian/rules 2008-04-26 18:57:30 UTC (rev 14212)
@@ -168,8 +168,11 @@
dh_clean build-stamp
+debian/rtupdate: debian/rtupdate.in
+ sed 's/@@BOOST_VERSION@@/$(boost_version)/' $< > $@
+
install: DH_OPTIONS=-X.svn
-install: build clean-debhelper
+install: build clean-debhelper debian/rtupdate
dh_testdir
dh_testroot
dh_clean -k
More information about the pkg-boost-commits
mailing list